<div class="thesis-item-wrapper">
    <div class="thesis-item">
        <div class="list">
            <div class="thesis-item__title">
                <div>
                    <div class="thesis-item__title-text">
                        {% if thesis.url %}
                            <a href="{{ thesis.url }}" class="thesis-link-title">
                                {% if isSingle %}
                                    <h1 class="thesis-link-title">{{ thesis.title | capitalize}}</h1>
                                {% else %}
                                    <h3 class="thesis-link-title">{{ thesis.title | capitalize}}</h3>
                                {% endif %}
                            </a>
                        {% else %}
                            {% if isSingle %}
                                <h1 class="thesis-link-title">{{ thesis.title | capitalize}}</h1>
                            {% else %}
                                <h3 class="thesis-link-title">{{ thesis.title | capitalize}}</h3>
                            {% endif %}
                        {% endif %}
                    </div>
                </div>
            </div>
            {% if thesis.source %}
                <div class="thesis-item__title-link">
                    <a href="{{ thesis.source }}" target="_blank"><span class="icon-quill thesis-item__title-icon"></span> {{ thesis.source }}</a>
                </div>
            {% endif %}
            <div class="thesis-item__content">
                <ul>
                    {% set i = 0 %}
                    {% for contentItem in thesis.content %}
                        {% set i = i + 1 %}
                        <li class="list__item">
                            <div class="list__item-title">{{ i }}. {{ contentItem.content.title }}</div>
                            {% if contentItem.content.type is not null %}
                                <div class="list__item-body">
                                    {% if contentItem.content.type == 'text' %}
                                        {% include 'views/content_type/text_type.html.twig' with {'content': contentItem.content.content.text } %}
                                    {% elseif contentItem.content.type == 'bash' %}
                                        {% include 'views/content_type/bash_type.html.twig' with {'content': contentItem.content.content.bash } %}
                                    {% elseif contentItem.content.type == 'css' %}
                                        {% include 'views/content_type/css_type.html.twig' with {'content': contentItem.content.content.style } %}
                                    {% elseif contentItem.content.type == 'css' %}
                                        {% include 'views/content_type/css_type.html.twig' with {'content': contentItem.content.content.style } %}
                                    {% elseif contentItem.content.type == 'css' %}
                                        {% include 'views/content_type/css_type.html.twig' with {'content': contentItem.content.content.style } %}
                                    {% endif %}
                                </div>
                            {% endif %}
                        </li>
                    {% endfor %}
                </ul>
            </div>
            {% if not isSingle %}
                <div class="thesis-item__btn-show btn-show-content"><i class="fa-solid fa-chevron-down"></i><i class="fa-solid fa-angle-up"></i></div>
            {% endif %}
        </div>
    </div>
    {% if loop is defined and loop.last %}
        {% if searchMenu[type] is defined and searchMenu[type].active == false and searchMenu[type].total > 1 %}
            <a href="{{ searchMenu[type].link }}">
                <div class="type-btn-load-more btn-load-more btn-load-more-pre-element">
                    Больше списков <i class="fa-solid fa-arrow-right type-btn-load-more__icon"></i>
                </div>
            </a>
        {% endif %}
    {% endif %}
</div>